//////////////////////////////////////////////////////////////////////////// 
// IPD - Image Processing Design Toolbox
//
// Copyright (c) by Dr. Eng. (J) Harald Galda, 2009 - 2010
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
////////////////////////////////////////////////////////////////////////////

DemoPath = get_absolute_file_path('EdgeDetection.sce');

disp('RGB = ReadImage(''teaset.png'');');

disp('Image = RGB2Gray(RGB);');

disp('figure(); ShowColorImage(RGB, ''Color Image'');');

disp('figure(); ShowImage(Image, ''Intensity Image'');');

RGB = ReadImage(DemoPath + 'teaset.png');

figure(); 

ShowColorImage(RGB, 'Color Image');

Image = RGB2Gray(RGB);

figure(); 

ShowImage(Image, 'Intensity Image');

disp('Gradient = EdgeFilter(Image, EDGE_SOBEL)');

disp('figure(); ShowImage(Gradient, ''GradientImage'');');

Gradient = EdgeFilter(Image, EDGE_SOBEL);

figure();

ShowImage(Gradient, 'Gradient Image');

disp('EdgeImage = SegmentByThreshold(Gradient, 60);');

disp('figure(); ShowImage(EdgeImage, ''Edge Image'');');

EdgeImage = SegmentByThreshold(Gradient, 60);

figure();

ShowImage(EdgeImage, 'Edge Image');

clear RGB;

clear Image;

clear Gradient;

clear EdgeImage;
