//////////////////////////////////////////////////////////////////////////// 
// IPD - Image Processing Design Toolbox
//
// Copyright (c) by Dr. Eng. (J) Harald Galda, 2009 - 2010
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
////////////////////////////////////////////////////////////////////////////

DemoPath = get_absolute_file_path('VideoDisplay.sce');

disp('VideoPath = ''red-car-video.avi'';');

disp('VideoInfo = GetVideoInfo(VideoPath);');

disp('VideoFilePointer = OpenVideoFile(VideoPath);');

disp('figure();');

disp('for n = 1 : VideoInfo.NumberOfFrames');

disp(' RGB = ReadImage(VideoFilePointer);');

disp(' ShowColorImage(RGB, VideoPath);');

disp('end;');

disp('CloseVideoFile(VideoFilePointer);');

VideoPath = DemoPath + 'red-car-video.avi';

VideoInfo = GetVideoStruct(VideoPath);

VideoFilePointer = OpenVideoFile(VideoPath);

figure();

for n = 1 : VideoInfo.NumberOfFrames

 RGB = ReadImage(VideoFilePointer);

 ShowColorImage(RGB, VideoPath);

end;

CloseVideoFile(VideoFilePointer);

clear VideoPath;

clear VideoInfo;

clear VideoFilePointer;

clear RGB;

clear n;
